package com.fs.his.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.his.domain.FsQuestionAndAnswer;
import com.fs.his.vo.FsQuestionAndAnswerVO;
import com.fs.his.vo.OptionsVO;

import java.util.List;

/**
 * 问答Service接口
 *
 * @author fs
 * @date 2025-09-29
 */
public interface IFsQuestionAndAnswerService extends IService<FsQuestionAndAnswer>{
    /**
     * 查询问答
     *
     * @param id 问答主键
     * @return 问答
     */
    FsQuestionAndAnswerVO selectFsQuestionAndAnswerById(Long id);

    /**
     * 查询问答列表
     *
     * @param fsQuestionAndAnswer 问答
     * @return 问答集合
     */
    List<FsQuestionAndAnswer> selectFsQuestionAndAnswerList(FsQuestionAndAnswer fsQuestionAndAnswer);

    /**
     * 新增问答
     *
     * @param fsQuestionAndAnswer 问答
     * @return 结果
     */
    int insertFsQuestionAndAnswer(FsQuestionAndAnswer fsQuestionAndAnswer);

    /**
     * 修改问答
     *
     * @param fsQuestionAndAnswer 问答
     * @return 结果
     */
    int updateFsQuestionAndAnswer(FsQuestionAndAnswer fsQuestionAndAnswer);

    /**
     * 批量删除问答
     *
     * @param ids 需要删除的问答主键集合
     * @return 结果
     */
    int deleteFsQuestionAndAnswerByIds(Long[] ids);

    /**
     * 删除问答信息
     *
     * @param id 问答主键
     * @return 结果
     */
    int deleteFsQuestionAndAnswerById(Long id);

    List<OptionsVO> selectAllQuestionOptions();
}
